#!/bin/bash

#set -e
set -vx

echo -e "*****************************\n* Checkout TS.ITS sources\n*****************************\n"
cd ${HOME}/dev || exit 1

git clone --recurse-submodules https://forge.etsi.org/rep/ITS/TS.ITS.git TS.ITS || exit 1
cd ./TS.ITS || exit 1
git checkout ttf_t024 || exit 1

./switch_its_r2.sh || exit 1

echo -e "*****************************\n* Setup environment\n*****************************\n"
cd ${HOME}/dev/TS.ITS/scripts
chmod 775 *.bash devenv.bash.*
cd ${HOME}
ln -sf ${HOME}/dev/TS.ITS/scripts/devenv.bash.ubuntu ${HOME}/devenv.bash
ls -ltr ${HOME}

cd ${HOME}

exit 0
