#include "decoding_context.hh"

void decoding_context::reset() {
  _next_header     = 0xff;
  _header_type     = 0xff;
  _header_sub_type = 0xff;
  _lifetime        = 0;
  _length          = -1;
}

unsigned char decoding_context::get_next_header() { return _next_header; };
void          decoding_context::set_next_header(const unsigned char p_next_header) { _next_header = p_next_header; };
unsigned char decoding_context::get_header_type() { return _header_type; };
void          decoding_context::set_header_type(const unsigned char p_header_type) { _header_type = p_header_type; };
unsigned char decoding_context::get_header_sub_type() { return _header_sub_type; };
void          decoding_context::set_header_sub_type(const unsigned char p_header_sub_type) { _header_sub_type = p_header_sub_type; };
unsigned char decoding_context::get_traffic_class() { return _traffic_class; };
void          decoding_context::set_traffic_class(const unsigned char p_traffic_class) { _traffic_class = p_traffic_class; };
unsigned int  decoding_context::get_lifetime() { return _lifetime; };
void          decoding_context::set_lifetime(const unsigned int p_lifetime) { _lifetime = p_lifetime; };
unsigned int  decoding_context::get_length() { return _length; };
void          decoding_context::set_length(const unsigned int p_length) { _length = p_length; };
