#pragma once

#include <memory>

class encoding_context {
  unsigned char _basic_header;
  unsigned char _next_header;
  unsigned char _header_type;
  unsigned int  _length_position;
  unsigned int  _length;

public:
  explicit encoding_context() { reset(); }
  void reset();

public:
  unsigned char get_basic_header();
  void          set_basic_header(const unsigned char p_basic_header);
  unsigned char get_next_header();
  void          set_next_header(const unsigned char p_next_header);
  unsigned char get_header_type();
  void          set_header_type(const unsigned char p_header_type);
  unsigned int  get_length_position();
  void          set_length_position(const unsigned int p_length_position);
  unsigned int  get_length();
  void          set_length(const unsigned int p_length);
}; // End of class encoding_context
